# BEGIN SourceDeps(oneline):
BuildRequires: perl(Adapter/Async.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/Any.pm) perl(Mixin/Event/Dispatch.pm) perl(Test/CheckDeps.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Tickit.pm) perl(Tickit/Widget.pm) perl(Tickit/Widget/ScrollBox.pm) perl(Tree/DAG_Node.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.114
%define module_name Tickit-Widget-Tree
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.114
Release: alt1
Summary: Terminal tree widget
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Tickit-Widget-Tree/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
NOTE: Versions 0.003 and below used a custom graph management
implementation which had various problems with rendering glitches
and performance. This version has been rewritten from scratch to
use the Tree::DAG_Node manpage to handle the tree structure, and as such
is not backward compatible.

=begin HTML

<p><img src="http://tickit.perlsite.co.uk/cpan-screenshot/tickit-widget-tree1.gif" alt="Tree widget in action" width="480" height="403"></p>

=end HTML
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/T*

%changelog
* Wed Aug 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.114-alt1
- initial import by package builder

